Loading...
Searching...
No Matches
RWLayerManager Class Reference

The RWLayerManager do and undo for layer actions.

`#include <avogadro/qtgui/rwlayermanager.h>`

Inheritance diagram for RWLayerManager:

## Public Member Functions

void | removeLayer (size_t layer, RWMolecule *rwmolecule)
void | addLayer (RWMolecule *rwmolecule)
void | setActiveLayer (size_t layer, RWMolecule *rwmolecule)
bool | visible (size_t layer) const

## Protected Member Functions

bool | locked (size_t layer) const
void | flipVisible (size_t layer)
void | flipLocked (size_t layer)
void | addMolecule (const Core::Molecule *mol)
Core::Array< std::pair< size_t, std::string > > | activeMoleculeNames () const

## Additional Inherited Members

Static Protected Member Functions inherited from LayerManager
static Layer & | getMoleculeLayer ()
static Layer & | getMoleculeLayer (const Molecule *mol)
static Layer & | getMoleculeLayer (const Molecule *original, const Molecule *copy)
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo ()
static std::shared_ptr< MoleculeInfo > | getMoleculeInfo (const Molecule *mol)
static void | deleteMolecule (const Molecule *mol)
static size_t | layerCount ()
Static Protected Attributes inherited from LayerManager
static const Molecule * | m_activeMolecule
static std::map< const Molecule *, std::shared_ptr< MoleculeInfo > > | m_molToInfo

## Member Function Documentation

## visible()

bool visible | ( | size_t | layer | ) | const

Returns
  if `layer` is visible

## locked()

bool locked | ( | size_t | layer | ) | const

protected

Returns
  if `layer` is locked

## flipVisible()

void flipVisible | ( | size_t | layer | ) |

protected

flip the visible value in layer

## flipLocked()

void flipLocked | ( | size_t | layer | ) |

protected

flip the locked value in layer

## addMolecule()

void addMolecule | ( | const Core::Molecule * | mol | ) |

protected

set mol as active molecule and add it if not exist

## activeMoleculeNames()

Core::Array< std::pair< size_t, std::string > > activeMoleculeNames | ( |  | ) | const

protected

Returns
  a sorted array by layer ID, containing the ID and the key name

The documentation for this class was generated from the following file:

- rwlayermanager.h